# echoSMs

[![Static badge](https://img.shields.io/pypi/v/echosms.svg)](https://pypi.org/project/echosms/)
[![Static badge](https://img.shields.io/github/license/ices-tools-dev/echosms)](https://raw.githubusercontent.com/ices-tools-dev/echoSMs/refs/heads/main/LICENSE)
[![python](https://img.shields.io/pypi/pyversions/echosms.svg?logo=python&logoColor=white)](https://pypi.org/project/echosms/)

[![GitHub Actions Workflow Status](https://img.shields.io/github/actions/workflow/status/ices-tools-dev/echoSMs/publish-to-pypi.yml)](https://github.com/ices-tools-dev/echoSMs/actions/workflows/publish-to-pypi.yml)
[![GitHub Actions Workflow Status](https://img.shields.io/github/actions/workflow/status/ices-tools-dev/echoSMs/build-docs.yml?label=docs)](https://github.com/ices-tools-dev/echoSMs/actions/workflows/build-docs.yml)
[![GitHub Actions Workflow Status](https://img.shields.io/github/actions/workflow/status/ices-tools-dev/echoSMs/run-tests.yml?label=tests)](https://github.com/ices-tools-dev/echoSMs/actions/workflows/run-tests.yml)

> Making acoustic scattering models available to fisheries and plankton scientists via the world wide web

EchoSMs provides acoustic scattering models for fisheries and plankton acoustic research. By providing the models in an open-access and open-source software language (e.g, Python, R) and providing morphological and anatomical data in open data formats (e.g., HDF5, relational databases), the proper and appropriate use of these models can extend to the entire fisheries and plankton acoustics’ community.

## Install

EchoSMs is available on the python Package Index as [echosms](https://pypi.org/project/echosms/) and will be available on conda-forge in the future.

## Documentation

EchoSMs documentation is available [here](https://ices-tools-dev.github.io/echoSMs/).

## Contributing

We welcome all contributions to echoSMs, be it code, test cases, bug reports, discussion of models, etc. Guidance on this is available in the echoSMs [documentation](https://ices-tools-dev.github.io/echoSMs/#contributing-to-echosms).
